Subject: FreeCAD dependency probably outdated

From: Buttons Presser <[email-masked]>
Date: Mon, 08 Apr 2024 17:08:54 +0200

I looked at the 'python-pivy' issue again today. I was able to build 'python-pivy' from git with:

  git clone https://github.com/coin3d/pivy
  cd pivy
  guix shell -D python-pivy -- python3 setup.py build

Examining build log of the former and comparing to the build log of standard 'guix build python-pivy --load-path=/my/python-pivy.scm' I found some differences in paths passed as arguments to the 'swig' command called by 'setup.py'. Specifically the 'swig' command is different in its last '-I' argument

guix shell -D python-pivy -- python3 setup.py build:

   -I"/gnu/store/1k54m72p12h0lkqa9iicfknydawdfrbm-profile/include"

guix build python-pivy --load-path=/my/python-pivy.scm

  -I"/gnu/store/ivbbmgrvhdc46p2ywx1x2zsmal3x0z5n-soqt-1.6.0-1.fb8f655/include"

Both paths have 'Inventor' dir in it but the former has a lot of symlinks to the Coin but the later has only one symlink to Qt dir. I think this is why there was a buildsystem patch commented as "respect Coin3D include directory". It does not work for the latest python-pivy and this is where I stuck. Do not understand why with 'guix shell -D python-pivy -- python3 setup.py build' works whereas 'guix build python-pivy --load-path=/my/python-pivy.scm' does not and how can I fix/path.